/*
** Module   : library.h
** Abstract : shared includes and operating-system function definitions
**
** Copyright (c) 2013-2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 GES 20131024 First version.
** 002 GES 20140212 Added flag to let the native layer conditionally process for loading
**                  persistent libraries.
*/

#include <inttypes.h>

int64_t  load_library_native(const char*, int persist);
void     unload_library_native(int64_t);
int64_t  find_by_name_native(int64_t modhandle, const char* funcname);
int64_t  find_by_ordinal_native(int64_t modhandle, uint16_t ordinal);
